{{ define "main" }}
  {{$tag_main := .Params.list_tag}}
  {{ $group_list := .Params.roles }}
  {{ $group_names := .Params.role_names }}
  {{ $pages := .Site.Pages}}
  
  <div class="container" role="main">
    {{ with .Content }}
    <div class="row">
      <div class="col-lg-12">
      {{$tmp := index (split . "<!--x") 0}}
      {{$tmp | safeHTML}}
      </div>
    </div>
    {{ end }}
    <div class="row">
      <div class="col">
    {{ range $index, $g := $group_list }}
      <h2>{{ index $group_names $index}}</h2>
      <div class="row">
      {{ $.Scratch.Set "n" 0 }}
      {{ range $pages }}
        {{if (and (in .Params.tags $tag_main ) ( not ( in .Params.tags "alumni") ))  }}
          {{if in .Params.role $g}}
            {{ partial "member_preview.html" .}}
            {{ $.Scratch.Add "n" 1 }}
          {{ end }}
        {{ end }}
      {{ end }}
      {{ $i := $.Scratch.Get "n" }}
      {{if eq $i 0 }}
        <div style="width:100%;text-align:center">We currently dont'have <b>{{ index $group_names $index}}</b> in the team.</div>
      {{ end }}
      </div>
    {{ end }}
  </div>
  </div>
      
  {{ with .Content }}
  <div class="row">
    <div class="col-lg-12">
    {{$tmp := index (split . "x-->") 1}}
    {{$tmp | safeHTML}}
    </div>
  </div>
  {{ end }}
  </div>
{{ end }}
